# Run tests in check section
%bcond_without check

# https://github.com/philhofer/fwd
%global goipath         github.com/philhofer/fwd
Version:                1.0.0

%global common_description %{expand:
The fwd package provides a buffered reader and writer. Each has methods that
help improve the encoding/decoding performance of some binary protocols.

The fwd.Writer and fwd.Reader type provide similar functionality to their 
counterparts in bufio, plus a few extra utility methods that simplify
read-ahead and write-ahead.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Buffered Reader/Writer
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE.md
%doc README.md


%changelog
* Sun Mar 03 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-1
- First package for Fedora

